using System;

class Program
{
    static void Main(string[] args)
    {
        int n, a;
        string[] linija = Console.ReadLine().Split(' ');
        n = int.Parse(linija[0]); a = int.Parse(linija[1]);
        // izlaz je -1 ili (3 4 ili 5 seta)
        if (n < 3 * a)
        {
            Console.WriteLine(-1);
            return;
        }
        int x = (n - 2 * a);
        int prvi = 0, drugi = 0;
        if (x % 2 != 0)
        {
            // ako je neparan
            //113 = 1 + 112 = 1 + 56 + 56 = 1 + 56 + 1 + 55 = 58 + 1
            drugi = (x - 1) / 2;
            prvi = drugi + 1;
        }
        else
        {
            prvi = x / 2 + 1;
            drugi = x / 2 - 1;
        }
        // 113 25
        Console.WriteLine(a + " " + 0);
        Console.WriteLine(a + " " + 0);
        Console.WriteLine(prvi + " " + drugi);
    }
}